jQuery(document).ready(function() {
	/*SOME VARIABLES FOR BASIC SETUP*/
	/*If your not providing images in your list you can give the slider a fixed height here*/
	var sliderHeight = 300;
	/*Set the transitionspeed here*/
	var transitionSpeed = 200;
	/*Set ID of your parent container here*/
	var parentID = '#slider';

	/*Measure the parent container, adapt slider to it*/
	var withOfParent = jQuery('#slider').parent().width();
	jQuery(parentID+' li').width(withOfParent);
	jQuery(parentID+' li').height(sliderHeight);
	/*Multiply number of items * width to get the size of the stage*/
	var widthOfLi = withOfParent;
	var amountOfLi = jQuery(parentID+' li').size();
	var widthOfUl = widthOfLi*amountOfLi;
	/*This counter is needed to detect the limit (when to show the forward/backward buttons)*/
	var counter = 0;
	
	/*Injects the buttons after the ul*/
	jQuery(parentID).append('<div class="backward">&laquo;</div><div class="forward">&raquo;</div>');
	/*Position the forward button on the right according to the slider width*/
	var widthOfButton = jQuery(parentID+' .forward').width();
	jQuery(parentID+' .forward').css({'left': widthOfLi-widthOfButton-'10'});
	
	/*Orders the items in a horizontal row. Restricts the viewport to the measures of one item*/
	jQuery(parentID).css('overflow','hidden');
	jQuery(parentID).css('overflow','hidden');
	jQuery(parentID+' ul').css('width',''+widthOfUl+'');
	jQuery(parentID+' li').css('float','left');
	/*Hide the backward button at start*/
	jQuery(parentID+' .backward').hide();	

	/*Clicking forward basicly moves the whole ul left by the width of one item.
	The counter value gets raised by 1 and the function hideTheTrigger is executed.*/
	jQuery(parentID+' .forward').bind('click', function() {
		jQuery(parentID+' ul').animate({left : '-='+widthOfLi+''}, {duration: 600});
		counter = counter+1;
		hideTheTrigger();
	});
	/*This does the same as the forward button, just the other way around*/
	jQuery(parentID+' .backward').bind('click', function() {
		jQuery(parentID+' ul').animate({left : '+='+widthOfLi+''}, {duration: 600});
		counter = counter-1;
		hideTheTrigger();
	});
			
	/*This looks how often one button hase been clicked. It will hide a trigger
	when a limit value is reached.*/
	function hideTheTrigger() {
		/*If we click the backward button often enough the value of our counter will
		eventualy hit the 0 mark, in this case the backward button will be hidden, 
		otherwise it will be shown*/
		if(counter<=0) {
			jQuery(parentID+' .backward').hide();
		} else {
			jQuery(parentID+' .backward').show();
		}
		/*If we click the forward button often enough the value of our counter will 
		eventualy reach the amount of items in our list, in this case the forward 
		button will be hidden, otherwise it will be shown*/
		if(counter>=amountOfLi-1) {
			jQuery(parentID+' .forward').hide();
		} else {
			jQuery(parentID+' .forward').show();
		}
	}
});